#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: abstract-deque
version: 0.3
id: abstract-deque-0.3-32a63b99fe33383ef46fcb3345021451
key: abstr_Ffr3SHIuIU1AkT718g7lkN
license: BSD3
maintainer: rrnewton@gmail.com
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
synopsis: Abstract, parameterized interface to mutable Deques.
description:
    An abstract interface to highly-parameterizable queues/deques.
    .
    Background: There exists a feature space for queues that extends between:
    .
    * simple, single-ended, non-concurrent, bounded queues
    .
    * double-ended, threadsafe, growable queues
    .
    ... with important points inbetween (such as
    the queues used for work-stealing).
    .
    This package includes an interface for Deques that allows the
    programmer to use a single API for all of the above, while using the
    type-system to select an efficient implementation given the
    requirements (using type families).
    .
    This package also includes a simple reference implementation based
    on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
exposed-modules:
    Data.Concurrent.Deque.Class Data.Concurrent.Deque.Reference
    Data.Concurrent.Deque.Reference.DequeInstance
    Data.Concurrent.Deque.Debugger
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/abstract-deque-0.3
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/abstract-deque-0.3
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/abstract-deque-0.3
hs-libraries: HSabstract-deque-0.3-Ffr3SHIuIU1AkT718g7lkN
include-dirs: /usr/local/include
depends:
    array-0.5.1.0-d4206b835b96b5079d918fa1eab1a9a8
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    random-1.1-3dda2690fd91339395d65768b92ac58f
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/abstract-deque-0.3/html/abstract-deque.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/abstract-deque-0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
